com.genesyslab.wfm8.API.service.forecast800

## Class FrcActivityStaffingDataObjectives

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast800.FrcActivityStaffingDataObjectives

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityStaffingDataObjectives
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FrcTemplateData>` | `abandonTemplate` Abandoned Volume % templates
    `protected int` | `abandonTemplateArraySize` Abandoned Volume % templates array size
    `protected int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `protected java.util.List<FrcTemplateData>` | `asaTemplate` Average Speed of Answer templates
    `protected int` | `asaTemplateArraySize` Average Speed of Answer templates array size
    `protected int` | `buId` Business Unit ID
    `protected java.util.List<FrcTemplateData>` | `maxOccTemplate` Maximum Occupancy % templates
    `protected int` | `maxOccTemplateArraySize` Maximum Occupancy % templates array size
    `protected java.util.List<FrcDataObjectives>` | `objectives` Staffing Objectives
    `protected int` | `objectivesArraySize` Objectives array size
    `private static long` | `serialVersionUID`
    `protected java.util.List<FrcTemplateData>` | `serviceLevelTemplate` Service Level % templates
    `protected int` | `siteId` Site ID
    `protected int` | `slTemplateArraySize` Service Level % templates array size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityStaffingDataObjectives()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<FrcTemplateData>` | `getAbandonTemplate()` Gets the abandonTemplate value for this FrcActivityStaffingDataObjectives.
    `int` | `getAbandonTemplateArraySize()` Gets the abandonTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityStaffingDataObjectives.
    `java.util.List<FrcTemplateData>` | `getASATemplate()` Gets the asaTemplate value for this FrcActivityStaffingDataObjectives.
    `int` | `getAsaTemplateArraySize()` Gets the asaTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `int` | `getBuId()` Gets the buId value for this FrcActivityStaffingDataObjectives.
    `java.util.List<FrcTemplateData>` | `getMaxOccTemplate()` Gets the maxOccTemplate value for this FrcActivityStaffingDataObjectives.
    `int` | `getMaxOccTemplateArraySize()` Gets the maxOccTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `java.util.List<FrcDataObjectives>` | `getObjectives()` Gets the objectives value for this FrcActivityStaffingDataObjectives.
    `int` | `getObjectivesArraySize()` Gets the objectivesArraySize value for this FrcActivityStaffingDataObjectives.
    `java.util.List<FrcTemplateData>` | `getServiceLevelTemplate()` Gets the serviceLevelTemplate value for this FrcActivityStaffingDataObjectives.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityStaffingDataObjectives.
    `int` | `getSLTemplateArraySize()` Gets the slTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `int` | `hashCode()`
    `void` | `setAbandonTemplate(java.util.List<FrcTemplateData> abandonTemplate)` Sets the abandonTemplate value for this FrcActivityStaffingDataObjectives.
    `void` | `setAbandonTemplateArraySize(int abandonTemplateArraySize)` Sets the abandonTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityStaffingDataObjectives.
    `void` | `setASATemplate(java.util.List<FrcTemplateData> asaTemplate)` Sets the asaTemplate value for this FrcActivityStaffingDataObjectives.
    `void` | `setAsaTemplateArraySize(int asaTemplateArraySize)` Sets the asaTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityStaffingDataObjectives.
    `void` | `setMaxOccTemplate(java.util.List<FrcTemplateData> maxOccTemplate)` Sets the maxOccTemplate value for this FrcActivityStaffingDataObjectives.
    `void` | `setMaxOccTemplateArraySize(int maxOccTemplateArraySize)` Sets the maxOccTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `void` | `setObjectives(java.util.List<FrcDataObjectives> objectives)` Sets the objectives value for this FrcActivityStaffingDataObjectives.
    `void` | `setObjectivesArraySize(int objectivesArraySize)` Sets the objectivesArraySize value for this FrcActivityStaffingDataObjectives.
    `void` | `setServiceLevelTemplate(java.util.List<FrcTemplateData> serviceLevelTemplate)` Sets the serviceLevelTemplate value for this FrcActivityStaffingDataObjectives.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityStaffingDataObjectives.
    `void` | `setSLTemplateArraySize(int slTemplateArraySize)` Sets the slTemplateArraySize value for this FrcActivityStaffingDataObjectives.
    `java.lang.String` | `toString()`
    `FrcActivityStaffingDataObjectives` | `withAbandonTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataObjectives` | `withAbandonTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataObjectives` | `withAbandonTemplateArraySize(int value)`
    `FrcActivityStaffingDataObjectives` | `withActivityId(int value)`
    `FrcActivityStaffingDataObjectives` | `withASATemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataObjectives` | `withASATemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataObjectives` | `withAsaTemplateArraySize(int value)`
    `FrcActivityStaffingDataObjectives` | `withBuId(int value)`
    `FrcActivityStaffingDataObjectives` | `withMaxOccTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataObjectives` | `withMaxOccTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataObjectives` | `withMaxOccTemplateArraySize(int value)`
    `FrcActivityStaffingDataObjectives` | `withObjectives(java.util.Collection<FrcDataObjectives> values)`
    `FrcActivityStaffingDataObjectives` | `withObjectives(FrcDataObjectives... values)`
    `FrcActivityStaffingDataObjectives` | `withObjectivesArraySize(int value)`
    `FrcActivityStaffingDataObjectives` | `withServiceLevelTemplate(java.util.Collection<FrcTemplateData> values)`
    `FrcActivityStaffingDataObjectives` | `withServiceLevelTemplate(FrcTemplateData... values)`
    `FrcActivityStaffingDataObjectives` | `withSiteId(int value)`
    `FrcActivityStaffingDataObjectives` | `withSLTemplateArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### activityId

          protected int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buId

          protected int buId

      Business Unit ID

    - #### objectivesArraySize

          protected int objectivesArraySize

      Objectives array size

    - #### objectives

          protected java.util.List<FrcDataObjectives> objectives

      Staffing Objectives

    - #### asaTemplateArraySize

          protected int asaTemplateArraySize

      Average Speed of Answer templates array size

    - #### asaTemplate

          protected java.util.List<FrcTemplateData> asaTemplate

      Average Speed of Answer templates

    - #### maxOccTemplateArraySize

          protected int maxOccTemplateArraySize

      Maximum Occupancy % templates array size

    - #### maxOccTemplate

          protected java.util.List<FrcTemplateData> maxOccTemplate

      Maximum Occupancy % templates

    - #### slTemplateArraySize

          protected int slTemplateArraySize

      Service Level % templates array size

    - #### serviceLevelTemplate

          protected java.util.List<FrcTemplateData> serviceLevelTemplate

      Service Level % templates

    - #### abandonTemplateArraySize

          protected int abandonTemplateArraySize

      Abandoned Volume % templates array size

    - #### abandonTemplate

          protected java.util.List<FrcTemplateData> abandonTemplate

      Abandoned Volume % templates

  - ### Constructor Detail

    - #### FrcActivityStaffingDataObjectives

          public FrcActivityStaffingDataObjectives()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityStaffingDataObjectives.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityStaffingDataObjectives.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityStaffingDataObjectives.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `buId` -

    - #### getObjectivesArraySize

          public int getObjectivesArraySize()

      Gets the objectivesArraySize value for this FrcActivityStaffingDataObjectives.
      Returns:
        objectivesArraySize

    - #### setObjectivesArraySize

          public void setObjectivesArraySize(int objectivesArraySize)

      Sets the objectivesArraySize value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `objectivesArraySize` -

    - #### getObjectives

          public java.util.List<FrcDataObjectives> getObjectives()

      Gets the objectives value for this FrcActivityStaffingDataObjectives.
      Returns:
        objectives

    - #### setObjectives

          public void setObjectives(java.util.List<FrcDataObjectives> objectives)

      Sets the objectives value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `objectives` -

    - #### getAsaTemplateArraySize

          public int getAsaTemplateArraySize()

      Gets the asaTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Returns:
        asaTemplateArraySize

    - #### setAsaTemplateArraySize

          public void setAsaTemplateArraySize(int asaTemplateArraySize)

      Sets the asaTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `asaTemplateArraySize` -

    - #### getASATemplate

          public java.util.List<FrcTemplateData> getASATemplate()

      Gets the asaTemplate value for this FrcActivityStaffingDataObjectives.
      Returns:
        asaTemplate

    - #### setASATemplate

          public void setASATemplate(java.util.List<FrcTemplateData> asaTemplate)

      Sets the asaTemplate value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `asaTemplate` -

    - #### getMaxOccTemplateArraySize

          public int getMaxOccTemplateArraySize()

      Gets the maxOccTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Returns:
        maxOccTemplateArraySize

    - #### setMaxOccTemplateArraySize

          public void setMaxOccTemplateArraySize(int maxOccTemplateArraySize)

      Sets the maxOccTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `maxOccTemplateArraySize` -

    - #### getMaxOccTemplate

          public java.util.List<FrcTemplateData> getMaxOccTemplate()

      Gets the maxOccTemplate value for this FrcActivityStaffingDataObjectives.
      Returns:
        maxOccTemplate

    - #### setMaxOccTemplate

          public void setMaxOccTemplate(java.util.List<FrcTemplateData> maxOccTemplate)

      Sets the maxOccTemplate value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `maxOccTemplate` -

    - #### getSLTemplateArraySize

          public int getSLTemplateArraySize()

      Gets the slTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Returns:
        slTemplateArraySize

    - #### setSLTemplateArraySize

          public void setSLTemplateArraySize(int slTemplateArraySize)

      Sets the slTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `slTemplateArraySize` -

    - #### getServiceLevelTemplate

          public java.util.List<FrcTemplateData> getServiceLevelTemplate()

      Gets the serviceLevelTemplate value for this FrcActivityStaffingDataObjectives.
      Returns:
        serviceLevelTemplate

    - #### setServiceLevelTemplate

          public void setServiceLevelTemplate(java.util.List<FrcTemplateData> serviceLevelTemplate)

      Sets the serviceLevelTemplate value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `serviceLevelTemplate` -

    - #### getAbandonTemplateArraySize

          public int getAbandonTemplateArraySize()

      Gets the abandonTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Returns:
        abandonTemplateArraySize

    - #### setAbandonTemplateArraySize

          public void setAbandonTemplateArraySize(int abandonTemplateArraySize)

      Sets the abandonTemplateArraySize value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `abandonTemplateArraySize` -

    - #### getAbandonTemplate

          public java.util.List<FrcTemplateData> getAbandonTemplate()

      Gets the abandonTemplate value for this FrcActivityStaffingDataObjectives.
      Returns:
        abandonTemplate

    - #### setAbandonTemplate

          public void setAbandonTemplate(java.util.List<FrcTemplateData> abandonTemplate)

      Sets the abandonTemplate value for this FrcActivityStaffingDataObjectives.
      Parameters:
        `abandonTemplate` -

    - #### withAbandonTemplate

          public FrcActivityStaffingDataObjectives withAbandonTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withAbandonTemplate

          public FrcActivityStaffingDataObjectives withAbandonTemplate(FrcTemplateData... values)

    - #### withAbandonTemplateArraySize

          public FrcActivityStaffingDataObjectives withAbandonTemplateArraySize(int value)

    - #### withObjectives

          public FrcActivityStaffingDataObjectives withObjectives(java.util.Collection<FrcDataObjectives> values)

    - #### withObjectives

          public FrcActivityStaffingDataObjectives withObjectives(FrcDataObjectives... values)

    - #### withObjectivesArraySize

          public FrcActivityStaffingDataObjectives withObjectivesArraySize(int value)

    - #### withASATemplate

          public FrcActivityStaffingDataObjectives withASATemplate(java.util.Collection<FrcTemplateData> values)

    - #### withASATemplate

          public FrcActivityStaffingDataObjectives withASATemplate(FrcTemplateData... values)

    - #### withAsaTemplateArraySize

          public FrcActivityStaffingDataObjectives withAsaTemplateArraySize(int value)

    - #### withServiceLevelTemplate

          public FrcActivityStaffingDataObjectives withServiceLevelTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withServiceLevelTemplate

          public FrcActivityStaffingDataObjectives withServiceLevelTemplate(FrcTemplateData... values)

    - #### withSLTemplateArraySize

          public FrcActivityStaffingDataObjectives withSLTemplateArraySize(int value)

    - #### withMaxOccTemplate

          public FrcActivityStaffingDataObjectives withMaxOccTemplate(java.util.Collection<FrcTemplateData> values)

    - #### withMaxOccTemplate

          public FrcActivityStaffingDataObjectives withMaxOccTemplate(FrcTemplateData... values)

    - #### withMaxOccTemplateArraySize

          public FrcActivityStaffingDataObjectives withMaxOccTemplateArraySize(int value)

    - #### withActivityId

          public FrcActivityStaffingDataObjectives withActivityId(int value)

    - #### withSiteId

          public FrcActivityStaffingDataObjectives withSiteId(int value)

    - #### withBuId

          public FrcActivityStaffingDataObjectives withBuId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.